Bug 493080 - sata_sil: Unhandled sense code when inserting blank media (plextor dvdwriter)
sata_sil: Unhandled sense code when inserting blank media (plextor dvdwriter)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 11:10 EDT by Gunnar Thielebein
Modified: 2010-06-28 07:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:36:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gunnar Thielebein 2009-03-31 11:10:21 EDT
Description of problem:

When booting with blank DVD/CDR in Plextor 712SA i get the following error message:

sr0: scsi3-mmc drive: 40x/40x writer cd/rw xa/form2 cdda tray
sr 1:0:0:0: Attached scsi CD-ROM sr0
sr 1:0:0:0: [sr0] Unhandled sense code
sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 1:0:0:0: [sr0] Sense Key : Blank Check [current] 
sr 1:0:0:0: [sr0] Add. Sense: No additional sense information
end_request: I/O error, dev sr0, sector 0
Buffer I/O error on device sr0, logical block 0
sr 1:0:0:0: [sr0] Unhandled sense code
sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 1:0:0:0: [sr0] Sense Key : Blank Check [current] 
sr 1:0:0:0: [sr0] Add. Sense: No additional sense information
...
cdrom: This disc doesn't have any tracks I recognize!


This issue was also with ubuntu-intrepid 8.10 but does not appear with ubuntu-lts and a slax livecd with 2.6.24 kernel.

This happens also with the 2.6.29-10 kernel (thats why i choosed rawhide in Version)

$ lsmod|grep sata
sata_sil24             14580  0 
sata_sil               10696  9 

$ lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT8385 [K8T800 AGP] Host Bridge (rev 01)
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 South]
00:05.0 Mass storage controller: Silicon Image, Inc. SiI 3112 [SATALink/SATARaid] Serial ATA Controller (rev 02)
00:08.0 Ethernet controller: Atheros Communications Inc. AR2413 802.11bg NIC (rev 01)
00:0b.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5705 Gigabit Ethernet (rev 03)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge [KT600/K8T800/K8T890 South]
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 60)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:00.0 VGA compatible controller: nVidia Corporation GeForce 7900 GS (rev a2)
gthielebein@galactica:~$ lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT8385 [K8T800 AGP] Host Bridge (rev 01)
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 South]
00:05.0 Mass storage controller: Silicon Image, Inc. SiI 3112 [SATALink/SATARaid] Serial ATA Controller (rev 02)
00:08.0 Ethernet controller: Atheros Communications Inc. AR2413 802.11bg NIC (rev 01)
00:0b.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5705 Gigabit Ethernet (rev 03)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge [KT600/K8T800/K8T890 South]
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 60)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:00.0 VGA compatible controller: nVidia Corporation GeForce 7900 GS (rev a2)



Version-Release number of selected component (if applicable):

kernel-2.6.29-10.fc10.x86_64
kernel-2.6.27.5-117.fc10.x86_64


How reproducible:

Steps to Reproduce:
1. Insert a blank CD/DVD for dmesg logs
2. Try to burn image to see that it fails burning
3.
  
Actual results:

When burning dvdimage with growisofs it stalls immidiately:

growisofs -dvd-compat -Z /dev/sr0=/home/public/videos/moellhoff/brunhilde.iso 
Executing 'builtin_dd if=/home/public/videos/moellhoff/brunhilde.iso of=/dev/sr0 obs=32k seek=0'
/dev/sr0: "Current Write Speed" is 8.2x1352KBps.
      32768/2788720640 ( 0.0%) @0.0x, remaining 8510:24 RBU 100.0% UBU -100.0%
      32768/2788720640 ( 0.0%) @0.0x, remaining 12765:36 RBU 100.0% UBU 100.0%
      32768/2788720640 ( 0.0%) @0.0x, remaining 18439:12 RBU 100.0% UBU 100.0%
      32768/2788720640 ( 0.0%) @0.0x, remaining 22694:24 RBU 100.0% UBU 100.0%
      32768/2788720640 ( 0.0%) @0.0x, remaining 26949:36 RBU 100.0% UBU 100.0%
   15630336/2788720640 ( 0.6%) @3.4x, remaining 68:00 RBU 100.0% UBU  32.4%
   21102592/2788720640 ( 0.8%) @1.2x, remaining 56:49 RBU 100.0% UBU  98.0%
   21102592/2788720640 ( 0.8%) @0.0x, remaining 63:23 RBU 100.0% UBU 100.0%
   21102592/2788720640 ( 0.8%) @0.0x, remaining 72:07 RBU 100.0% UBU 100.0%
   21102592/2788720640 ( 0.8%) @0.0x, remaining 78:41 RBU 100.0% UBU 100.0%
   21102592/2788720640 ( 0.8%) @0.0x, remaining 85:14 RBU 100.0% UBU 100.0%
   21102592/2788720640 ( 0.8%) @0.0x, remaining 93:59 RBU 100.0% UBU 100.0%
   21102592/2788720640 ( 0.8%) @0.0x, remaining 100:32 RBU 100.0% UBU 100.0%
   21102592/2788720640 ( 0.8%) @0.0x, remaining 107:06 RBU 100.0% UBU 100.0%
   21102592/2788720640 ( 0.8%) @0.0x, remaining 115:50 RBU 100.0% UBU 100.0%
   21102592/2788720640 ( 0.8%) @0.0x, remaining 122:24 RBU 100.0% UBU 100.0%
   21102592/2788720640 ( 0.8%) @0.0x, remaining 128:57 RBU 100.0% UBU 100.0%
   21102592/2788720640 ( 0.8%) @0.0x, remaining 137:42 RBU 100.0% UBU 100.0%


Expected results:

Make burning work again, with this setup.
Comment 1 Gunnar Thielebein 2009-03-31 15:21:25 EDT
Same issue when connecting the drive to the via onboard controller, using module sata_via.
Comment 2 Chuck Ebbert 2009-04-01 01:38:59 EDT
Does it work okay if you boot without the blank disc in the drive?
Comment 3 Gunnar Thielebein 2009-04-01 09:08:01 EDT
No difference if I have the blank disc in while booting or when putting the blank disc in afterwards.
Comment 4 Gunnar Thielebein 2009-04-03 06:39:51 EDT
Is this issue better be handled upstream by kernel devs?
If you need further information please let me know.
Comment 5 Bug Zapper 2009-06-09 08:51:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 09:22:59 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 07:36:37 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.